DROP OPERATOR()

NAME
DROP OPERATOR - remove an operator

SYNOPSIS

DROP OPERATOR name ( { lefttype | NONE } , { righttype | NONE } ) [ CASCADE | RESTRICT ]

DESCRIPTION

DROP OPERATOR drops an existing operator from the database system. To execute this command you must be the owner of the operator.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing operator.

lefttype
    The data type of the operator's left operand; write NONE if the operator has no left operand.

righttype
    The data type of the operator's right operand; write NONE if the operator has no right operand.

CASCADE
    Automatically drop objects that depend on the operator.

RESTRICT
    Refuse to drop the operator if any objects depend on it. This is the default.

EXAMPLES

Remove the power operator a^b for type integer:

DROP OPERATOR ^ (integer, integer);

Remove the left unary bitwise complement operator ~b for type bit:

DROP OPERATOR ~ (none, bit);

Remove the right unary factorial operator x! for type bigint:

DROP OPERATOR ! (bigint, none);

COMPATIBILITY

There is no DROP OPERATOR statement in the SQL standard.

SEE ALSO
CREATE OPERATOR [create_operator(7)], ALTER OPERATOR [alter_operator(l)]